package com.ruoyi.ems.mapper;

import com.ruoyi.ems.domain.EmsEcoD;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 节能计量日Mapper接口
 *
 * @author ruoyi
 * @date 2025-04-22
 */
public interface EmsEcoDMapper {
    /**
     * 查询节能计量日
     *
     * @param id 节能计量日主键
     * @return 节能计量日
     */
    EmsEcoD selectEmsEcoDById(Long id);

    /**
     * 查询节能计量日列表
     *
     * @param emsEcoD 节能计量日
     * @return 节能计量日集合
     */
    List<EmsEcoD> selectEmsEcoDList(EmsEcoD emsEcoD);

    /**
     * 新增节能计量日
     *
     * @param emsEcoD 节能计量日
     * @return 结果
     */
    int insertEmsEcoD(EmsEcoD emsEcoD);

    /**
     * 修改节能计量日
     *
     * @param emsEcoD 节能计量日
     * @return 结果
     */
    int updateEmsEcoD(EmsEcoD emsEcoD);

    /**
     * 删除节能计量日
     *
     * @param id 节能计量日主键
     * @return 结果
     */
    int deleteEmsEcoDById(Long id);

    /**
     * 批量删除节能计量日
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteEmsEcoDByIds(Long[] ids);

    /**
     * 删除节能计量日
     *
     * @param date     日期
     * @param areaCode 区域
     * @return 结果
     */
    int deleteEmsEcoD(@Param("date") String date, @Param("areaCode") String areaCode);

    EmsEcoD calcEmsEcoDateRange(EmsEcoD emsEcoD);
}
